Package org.jbpm.process.workitem.email

## Class EmailNotificationPublisher

- java.lang.Object
- - org.jbpm.process.workitem.email.EmailNotificationPublisher

- All Implemented Interfaces:
    `org.kie.internal.utils.NotificationPublisher`

      public class EmailNotificationPublisher
      extends Object
      implements org.kie.internal.utils.NotificationPublisher

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmailNotificationPublisher()` |
    `EmailNotificationPublisher​(Connection connection, org.kie.internal.task.api.UserInfo userInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `collectRecipients​(Set<String> emailRecipients, org.kie.api.task.model.OrganizationalEntity entity)` |
    `protected Email` | `createEmail​(String sender, String subject, Set<org.kie.api.task.model.OrganizationalEntity> recipients, String body, Connection connection)` |
    `protected String` | `getEmailAddress​(org.kie.api.task.model.OrganizationalEntity entity)` |
    `boolean` | `isActive()` |
    `void` | `publish​(String sender, String subject, Set<org.kie.api.task.model.OrganizationalEntity> recipients, String body)` |
    `void` | `publish​(String sender, String subject, Set<org.kie.api.task.model.OrganizationalEntity> recipients, String template, Map<String,​Object> parameters)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailNotificationPublisher

          public EmailNotificationPublisher()

    - #### EmailNotificationPublisher

          public EmailNotificationPublisher​(Connection connection,
                                            org.kie.internal.task.api.UserInfo userInfo)

  - ### Method Detail

    - #### publish

          public void publish​(String sender,
                              String subject,
                              Set<org.kie.api.task.model.OrganizationalEntity> recipients,
                              String body)

      Specified by:
        `publish` in interface `org.kie.internal.utils.NotificationPublisher`

    - #### publish

          public void publish​(String sender,
                              String subject,
                              Set<org.kie.api.task.model.OrganizationalEntity> recipients,
                              String template,
                              Map<String,​Object> parameters)

      Specified by:
        `publish` in interface `org.kie.internal.utils.NotificationPublisher`

    - #### getEmailAddress

          protected String getEmailAddress​(org.kie.api.task.model.OrganizationalEntity entity)

    - #### createEmail

          protected Email createEmail​(String sender,
                                      String subject,
                                      Set<org.kie.api.task.model.OrganizationalEntity> recipients,
                                      String body,
                                      Connection connection)

    - #### collectRecipients

          protected void collectRecipients​(Set<String> emailRecipients,
                                           org.kie.api.task.model.OrganizationalEntity entity)

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `org.kie.internal.utils.NotificationPublisher`